#include "xmaterialpass.h"
#include "xmaterialvertexdeclaration.h"
#include "xmaterialvertexshader.h"
#include "xmaterialpixelshader.h"
#include "xmaterialshaderargument.h"

XMaterialPass::XMaterialPass()
    : XAsset()
    , mVertexDecl(nullptr)
    , mVertexShaderArray()
    , mVertexShader(nullptr)
    , mPixelShader(nullptr)
    , mPerPrimArgCount(0)
    , mPerObjArgCount(0)
    , mStableArgCount(0)
    , mCustomSamplerFlags(0)
    , mPrecompiledIndex(0)
    , mArgs(nullptr)
{
    
}

void XMaterialPass::Clear()
{
    
}

void XMaterialPass::ParseData(QDataStream *aStream)
{
    
}
